.\"	$NetBSD: ms.4,v 1.2 2008/04/30 13:10:56 martin Exp $
.\"
.\" Copyright (c) 1996 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Paul Kranenburg.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 22, 1996
.Dt MS 4 sun2
.Os
.Sh NAME
.Nm ms
.Nd Sun workstation mouse driver
.Sh SYNOPSIS
.Cd "ms0 at zstty?"
.Sh DESCRIPTION
The
.Nm
driver provides an interface to the workstation console mouse.
This
.Tn Mouse Systems
three-button device produces five-byte blobs of the form:
.Pp
.Bd -literal -offset indent
b dx dy dx dy
.Ed
.Pp
where
.Dq b
is the button state, encoded as
.Li 0x80|(~buttons)
-- there are three buttons (4=left, 2=middle, 1=right) --
and
.Dq \&dx
and
.Dq \&dy
are X and Y delta values, none of which are in the range
.Bq Li 0x80..0x87 .
.Pp
The device special file
.Pa /dev/mouse
is used to get direct access to the mouse input stream.
The following
ioctl's are supported (mostly just enough to keep the
.Xr X 1
server going):
.Bl -tag -width VUIDSFORMAT
.It Dv VUIDSFORMAT
Set translation mode.
The argument is of type
.Fa "int *" ,
the only value supported is
.Dv VUID_FIRM_EVENT .
.It Dv VUIDGFORMAT
Get translation mode.
The argument is of type
.Fa "int *" .
.Dv VUID_FIRM_EVENT
is always returned.
.El
.Ss OPTIONS
The mouse driver can be configured using the following kernel configuration
file options.
.Bl -tag -width VUIDSFORMAT
.It Cd options SUN_MS_BPS=integer
This option causes the kernel to communicate with the mouse using the serial
baud rate
.Va integer .
It is useful for mice which do not communicate at 1200 baud.
.El
.Sh SEE ALSO
.Xr kbd 4
.Sh BUGS
.Nm
is hardwired to the built-in
.Em zs1
serial port.
